Skip to main content
GET
/
api
/
files
List Files
curl --request GET \
  --url https://dash.empirical.run/api/files \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "files": [
      {
        "id": 123,
        "name": "<string>",
        "url": "<string>",
        "description": "<string>",
        "mime_type": "<string>",
        "size_bytes": 123,
        "status": "pending",
        "access_level": "<string>",
        "created_by": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ]
  },
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

API key from the Empirical dashboard.

Query Parameters

page
number

Page number (1-indexed, default 1).

per_page
number

Items per page (default 20, max 100).

Response

Paginated list of files.

data
object
required
pagination
object
required